Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 598904 - dev-libs/newt-0.52.20 version bump
Summary: dev-libs/newt-0.52.20 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Naohiro Aota
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 548484
  Show dependency tree
 
Reported: 2016-11-04 08:36 UTC by Lars Wendler (Polynomial-C)
Modified: 2017-10-04 09:51 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
full bump patch (6bca3f49b0e6fc0d238e866444414d2cdb015ac1.patch,4.80 KB, patch)
2017-09-20 15:47 UTC, Ben Kohler
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) (RETIRED) gentoo-dev 2016-11-04 08:36:31 UTC
Perhaps bump to EAPI-6 and add multilib support as reuqested in bug #548484.
Comment 1 Ben Kohler gentoo-dev 2017-04-10 19:39:58 UTC
A few things here--

0.52.20 is out now, may as well target that

For EAPI=6 conversion to eapply, newt-0.52.13-gold.patch will need a slight tweak (it's -p0 formatted atm)

It looks like upstream added python3 support in 0.52.17 or so.  I have tested locally on python 3.5 and it seems to be ok.
Comment 2 Ben Kohler gentoo-dev 2017-09-20 15:47:25 UTC
Created attachment 495622 [details, diff]
full bump patch

https://github.com/gentoo/gentoo/pull/5738

ebuild changes:

--- newt-0.52.18.ebuild 2017-09-20 09:40:51.915886424 -0500
+++ newt-0.52.20.ebuild 2017-09-20 09:47:21.012026717 -0500
@@ -1,11 +1,11 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="5"
+EAPI=6
 
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
 
-inherit python-r1 eutils multilib autotools toolchain-funcs
+inherit python-r1 multilib autotools toolchain-funcs
 
 DESCRIPTION="Redhat's Newt windowing toolkit development files"
 HOMEPAGE="https://fedorahosted.org/newt/"
@@ -21,7 +21,7 @@
 RDEPEND="${PYTHON_DEPS}
        >=dev-libs/popt-1.6
        =sys-libs/slang-2*
-       elibc_uclibc? ( sys-libs/ncurses )
+       elibc_uclibc? ( sys-libs/ncurses:0 )
        gpm? ( sys-libs/gpm )
        tcl? ( >=dev-lang/tcl-8.5:0 )
        "
@@ -52,9 +52,10 @@
                        || die "sed po/Makefile"
        fi
 
-       epatch "${FILESDIR}"/${PN}-0.52.13-gold.patch \
+       eapply "${FILESDIR}"/${PN}-0.52.13-gold.patch \
                "${FILESDIR}"/${PN}-0.52.14-tcl.patch \
                "${FILESDIR}"/${PN}-0.52.15-makefile.patch
+       eapply_user
        eautoreconf
 }
Comment 3 Larry the Git Cow gentoo-dev 2017-10-04 09:51:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0a98d38c595fb08985ef9f4e61857a23fe6ca27

commit d0a98d38c595fb08985ef9f4e61857a23fe6ca27
Author:     Ben Kohler <bkohler@gmail.com>
AuthorDate: 2017-09-20 14:54:56 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2017-10-04 09:51:24 +0000

    dev-libs/newt: version bump to 0.52.20 and bump to EAPI 6.
    
    * Bump to upsream version 0.52.20.
    * Convert to EAPI=6, which requires a small patch adjustment for -p1.
    * Remove now-unused eutils inherit.
    * Add 3.x to PYTHON_COMPAT since upstream added py3 support.
    * Add :0 slot on ncurses dep.
    
    Closes: https://bugs.gentoo.org/598904
    Closes: https://github.com/gentoo/gentoo/pull/5738

 dev-libs/newt/Manifest                      |  1 +
 dev-libs/newt/files/newt-0.52.13-gold.patch |  4 +-
 dev-libs/newt/newt-0.52.20.ebuild           | 92 +++++++++++++++++++++++++++++
 3 files changed, 95 insertions(+), 2 deletions(-)